[Launch]
ProgramExecutable="GoldWave\GoldWave.exe"
SingleAppInstance=true
WaitForProgram=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
GoldWave="HKCU\Software\GoldWave"

[DirectoriesMove]
GoldWave=%USERPROFILE%\AppData\Roaming\GoldWave

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\GoldWave.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\GoldWave.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\GoldWave.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\